# Interface NativeBinary

All Superinterfaces:
  `Binary`

All Known Subinterfaces:
  `NativeExecutableBinary, NativeLibraryBinary, PrebuiltSharedLibraryBinary, PrebuiltStaticLibraryBinary, SharedLibraryBinary, StaticLibraryBinary`

@Incubating public interface NativeBinary extends Binary
Represents a particular binary artifact.

## Method Summary

Modifier and Type
Method
Description
`BuildType`
`getBuildType()`
Returns the `BuildType` used to construct this binary.
`Flavor`
`getFlavor()`
The `Flavor` that this binary was built with.
`NativePlatform`
`getTargetPlatform()`
Returns the `NativePlatform` that this binary is targeted to run on.

### Methods inherited from interface Binary

`getDisplayName`

## Method Details

### getFlavor

Flavor getFlavor()
The `Flavor` that this binary was built with.

### getTargetPlatform

NativePlatform getTargetPlatform()
Returns the `NativePlatform` that this binary is targeted to run on.

### getBuildType

BuildType getBuildType()
Returns the `BuildType` used to construct this binary.